﻿<center class="modal-for-crud">
    <h2 class="primary">{{vm.TitleModal}}</h2>
    <h4 class="primary" ng-if="vm.ticket.title">
        Título: <span style="color: green;" ng-bind="vm.ticket.title" />
    </h4>
    <h4 class="primary" ng-if="vm.ticket.description">
        Descrição: <span style="color: green;" ng-bind="vm.ticket.description" />
    </h4>
    <div>
        <span class="field-required" style="font-size: 10px;">* Campos de preenchimento obrigatório</span>
    </div>
    <form id="formCloseTicket" name="formCloseTicket"
          class="navbar-form" role="search" style="display: inline-table;">
        <div class="form-group">
            <label>Data/Hora</label>
            <input ng-if="vm.type == 'C'" ng-required="vm.type == 'C'"
                   ng-model="vm.ticket.dateClosing" type="text"
                   class="form-control" maxlength="16" datetime="dd/MM/yyyy HH:mm" />
            <input ng-if="vm.type == 'R'" ng-required="vm.type == 'R'"
                   ng-model="vm.ticket.dateRemoving" type="text"
                   class="form-control" maxlength="16" datetime="dd/MM/yyyy HH:mm" />
        </div>
        <div class="form-group">
            <label>{{vm.TitleNote}}<span class="field-required">*</span></label>
            <textarea ng-if="vm.type == 'C'" ng-required="vm.type == 'C'"
                      ng-model="vm.ticket.noteClosing" autofocus class="form-control" rows="4"></textarea>
            <textarea ng-if="vm.type == 'R'" ng-required="vm.type == 'R'"
                      ng-model="vm.ticket.noteRemoving" autofocus class="form-control" rows="4"></textarea>
        </div>
        <hr />
        <div class="footer-buttons">
            <button type="button"
                    ng-click="vm.CloseTicket()"
                    ng-disabled="formCloseTicket.$invalid"
                    class="btn btn-primary button-modal">
                {{vm.BtnTitleNote}}
            </button>
        </div>
    </form>
</center>
